Changeset bf4b5fc


Ignore:
Timestamp:
09/25/2022 08:26:38 AM (2 months ago)
Author:
Pierre Labastie <pierre.labastie@…>
Branches:
plabs/python-mods, trunk
Children:
c3a493c
Parents:
9a599135
git-author:
Pierre Labastie <pierre.labastie@…> (09/25/2022 08:18:35 AM)
git-committer:
Pierre Labastie <pierre.labastie@…> (09/25/2022 08:26:38 AM)
Message:

Update to rustc-1.64.0

Files:
3 edited

Legend:

Unmodified
Added
Removed
  • general/prog/rust.xml

    r9a599135 rbf4b5fc  
    77  <!ENTITY rust-download-http "https://static.rust-lang.org/dist/rustc-&rust-version;-src.tar.xz">
    88  <!ENTITY rust-download-ftp  " ">
    9   <!ENTITY rust-md5sum        "7b8d77e094cf003ed9500c961b282343">
    10   <!ENTITY rust-size          "130 MB">
     9  <!ENTITY rust-md5sum        "e77ac3a786d013604061b17f99dd9b27">
     10  <!ENTITY rust-size          "131 MB">
    1111  <!-- Gentle Reminder: buildsize is how much the user requires for the real
    1212       install, i.e. the source with its DESTDIR *plus* the DESTDIR.  You
     
    1515       after the tests. -->
    1616
    17   <!ENTITY rust-buildsize     "8.8 GB (472 MB installed) including 266 MB of ~/.cargo files for the user building this. Add 6.9 GB including extra 243 MB of ~/.cargo files if running the tests">
    18   <!ENTITY rust-time          "20 SBU (including download time; add 13 SBU for tests, both on a 4-core machine)">
     17  <!ENTITY rust-buildsize     "10 GB (516 MB installed) including 266 MB of ~/.cargo files for the user building this. Add 6.2 GB including extra 243 MB of ~/.cargo files if running the tests">
     18  <!ENTITY rust-time          "15 SBU (including download time; add 7 SBU for tests, both on a 4-core machine)">
    1919]>
    2020
     
    3434  <sect2 role="package">
    3535    <title>Introduction to Rust</title>
    36 
    37     <note>
    38       <para>
    39         Currently Rust compiler produces SSE2 instructions for 32-bit x86,
    40         causing the generated code broken on 32-bit systems without a
    41         SSE2-capable processor.  All x86 processor models released after
    42         2004 should be SSE2-capable.  Run
    43         <command>lscpu | grep sse2</command> as a test.  If it outputs
    44         anything, your CPU is SSE2-capable and OK.  Otherwise you may try
    45         to build this package <emphasis>on a SSE2-capable system</emphasis>
    46         with the following fix applied:
    47       </para>
    48 
    49       <!-- computeroutput used deliberately to stop anyone from copying
    50            blindly -->
    51 <screen role="nodump"><computeroutput>sed 's@pentium4@pentiumpro@' -i \
    52     compiler/rustc_target/src/spec/i686_unknown_linux_gnu.rs</computeroutput></screen>
    53 
    54       <para>
    55         And copy the resulted
    56         <filename class="directory">/opt/rustc-&rust-version;</filename>
    57         to the system without SSE2 capability. But this change is still
    58         under upstream review and not tested by BLFS editors.
    59       </para>
    60     </note>
    61 
    6236    <para>
    6337      The <application>Rust</application> programming language is designed
     
    252226    <title>Installation of Rust</title>
    253227
     228    <note>
     229      <para>
     230        Currently Rust compiler produces SSE2 instructions for 32-bit x86,
     231        causing the generated code broken on 32-bit systems without a
     232        SSE2-capable processor.  All x86 processor models released after
     233        2004 should be SSE2-capable.  Run
     234        <command>lscpu | grep sse2</command> as a test.  If it outputs
     235        anything, your CPU is SSE2-capable and OK.  Otherwise you may try
     236        to build this package <emphasis>on a SSE2-capable system</emphasis>
     237        with the following fix applied:
     238      </para>
     239
     240      <!-- computeroutput used deliberately to stop anyone from copying
     241           blindly -->
     242<screen role="nodump"><computeroutput>sed 's@pentium4@pentiumpro@' -i \
     243    compiler/rustc_target/src/spec/i686_unknown_linux_gnu.rs</computeroutput></screen>
     244
     245      <para>
     246        And copy the resulting
     247        <filename class="directory">/opt/rustc-&rust-version;</filename>
     248        to the system without SSE2 capability. But this change is still
     249        under upstream review and not tested by BLFS editors.
     250      </para>
     251    </note>
     252
    254253    <para>
    255254      To install into the
     
    358357
    359358    <para>
    360       At a minimum, 44 tests will fail: all 43 of the tests in
     359      At a minimum, 51 tests will fail: all 46 of the tests in
    361360      the <quote>assembly</quote> suite which are not skipped (various lints
    362361      cause the warnings in these tests to be treated as errors), and
    363       run-make-fulldeps/long-linker-command-lines.
     362      5 other tests, 4 of which involve the
     363      <filename>rustdoc-ui/issue-98690.rs</filename> file, and another one,
     364      <filename>run-make-fulldeps/long-linker-command-lines</filename>.
    364365<!--  If <command>gdb</command> is installed,  another failure
    365366      (debuginfo/function-names.rs) can be expected.
     
    498499      <!-- might be unbroken in 1.36.0, if so remove broken from description
    499500       of miri below. https://github.com/rust-lang/rust/issues/61830 -->
    500       Omitting it should save a little time.
     501      Omitting it should save a little time. Even if this switch is
     502      not given, miri is not installed.
    501503    </para>
    502504
     
    604606        <seg>
    605607          cargo-clippy, cargo-fmt, cargo-miri (optional), cargo, clippy-driver,
    606           miri (optional),
    607           rls, rust-demangler, rust-gdb, rust-gdbgui, rust-lldb, rustc,
    608           rustdoc, and rustfmt
     608          miri (optional), rls, rust-analyzer, rust-demangler, rust-gdb,
     609          rust-gdbgui, rust-lldb, rustc, rustdoc, and rustfmt
    609610        </seg>
    610611        <seg>
     
    655656        <listitem>
    656657          <para>
    657             <!-- FIXME reword to 'is used by' if Miri installed
    658              AND works enough to report its \-\-help -->
    659             is for use by Miri to interpret bin crates and tests
     658            is for use by Miri to interpret bin crates and tests. It is
     659            not installed by default.
    660660          </para>
    661661          <indexterm zone="rust cargo-miri">
     
    694694          <para>
    695695            is an interpreter for Rust's mid-level intermediate representation
    696             (MIR). It is broken in this version
     696            (MIR). It is not installed by default.
    697697          </para>
    698698          <indexterm zone="rust miri">
     
    729729      </varlistentry>
    730730
     731      <varlistentry id="rust-demangler">
     732        <term><command>rust-demangler</command></term>
     733        <listitem>
     734          <para>
     735            converts a list of Rust mangled symbols into a
     736            corresponding list of demangled symbols
     737          </para>
     738          <indexterm zone="rust rust-demangler">
     739            <primary sortas="b-rust-demangler">rust-demangler</primary>
     740          </indexterm>
     741        </listitem>
     742      </varlistentry>
     743
    731744      <varlistentry id="rust-gdb">
    732745        <term><command>rust-gdb</command></term>
  • introduction/welcome/changelog.xml

    r9a599135 rbf4b5fc  
    4646      <itemizedlist>
    4747        <listitem>
     48          <para>[pierre] - Update to rust-1.64.0. Fixes
     49          <ulink url="&blfs-ticket-root;17120">#17120</ulink>.</para>
     50        </listitem>
     51        <listitem>
    4852          <para>[pierre] - Update to llvm-15.0.1. Fixes
    4953          <ulink url="&blfs-ticket-root;16991">#16991</ulink>.</para>
  • packages.ent

    r9a599135 rbf4b5fc  
    335335<!ENTITY ruby-version                 "&ruby-minor-version;.&ruby-patch-version;">
    336336<!ENTITY ruby-gemdir                  "/usr/lib/ruby/gems/&ruby-minor-version;.0">
    337 <!ENTITY rust-version                 "1.60.0">
     337<!ENTITY rust-version                 "1.64.0">
    338338<!ENTITY scons-version                "4.4.0">
    339339<!ENTITY slang-version                "2.3.3">
Note: See TracChangeset for help on using the changeset viewer.